PrintWriter (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class PrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter

    @TransactionType(value=NOT_SUPPORTED)
    public class PrintWriter

extends Writer

Print formatted representations of objects to a text-output stream. This class implements all of the `print` methods found in `PrintStream`. It does not contain methods for writing raw bytes, for which a program should use unencoded byte streams.

Unlike the `PrintStream` class, if automatic flushing is enabled it will be done only when one of the `println`, `printf`, or `format` methods is invoked, rather than whenever a newline character happens to be output. These methods use the platform's own notion of line separator rather than the newline character.

Methods in this class never throw I/O exceptions, although some of its constructors may. The client may inquire as to whether any errors have occurred by invoking `checkError()`.

Since:
  JDK1.1, Java Card 3.0

Field Summary
`protected Writer` | `out` The underlying character-output stream of this `PrintWriter`.

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`PrintWriter(OutputStream out)` Create a new PrintWriter, without automatic line flushing, from an existing OutputStream.
`PrintWriter(OutputStream out, boolean autoFlush)` Create a new PrintWriter from an existing OutputStream.
`PrintWriter(Writer out)` Create a new PrintWriter, without automatic line flushing.
`PrintWriter(Writer out, boolean autoFlush)` Create a new PrintWriter.

Method Summary
`PrintWriter` | `append(char c)` Appends the specified character to this writer.
`boolean` | `checkError()` Flush the stream if it's not closed and check its error state.
`void` | `close()` Close the stream.
`void` | `flush()` Flush the stream.
`void` | `print(boolean b)` Print a boolean value.
`void` | `print(char c)` Print a character.
`void` | `print(char[] s)` Print an array of characters.
`void` | `print(int i)` Print an integer.
`void` | `print(long l)` Print a long integer.
`void` | `print(Object obj)` Print an object.
`void` | `print(String s)` Print a string.
`void` | `println()` Terminate the current line by writing the line separator string.
`void` | `println(boolean x)` Print a boolean value and then terminate the line.
`void` | `println(char x)` Print a character and then terminate the line.
`void` | `println(char[] x)` Print an array of characters and then terminate the line.
`void` | `println(int x)` Print an integer and then terminate the line.
`void` | `println(long x)` Print a long integer and then terminate the line.
`void` | `println(Object x)` Print an Object and then terminate the line.
`void` | `println(String x)` Print a String and then terminate the line.
`protected void` | `setError()` Indicate that an error has occurred.
`void` | `write(char[] buf)` Write an array of characters.
`void` | `write(char[] buf, int off, int len)` Write A Portion of an array of characters.
`void` | `write(int c)` Write a single character.
`void` | `write(String s)` Write a string.
`void` | `write(String s, int off, int len)` Write a portion of a string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected Writer out

  The underlying character-output stream of this `PrintWriter`.

  Since:
    1.2

Constructor Detail

### PrintWriter

    public PrintWriter(Writer out)

  Create a new PrintWriter, without automatic line flushing.

  Parameters:
    `out` - A character-output stream

### PrintWriter

    public PrintWriter(Writer out,
                       boolean autoFlush)

  Create a new PrintWriter.

  Parameters:
    `out` - A character-output stream
    `autoFlush` - A boolean; if true, the `println`, `printf`, or `format` methods will flush the output buffer

### PrintWriter

    public PrintWriter(OutputStream out)

  Create a new PrintWriter, without automatic line flushing, from an existing OutputStream. This convenience constructor creates the necessary intermediate OutputStreamWriter, which will convert characters into bytes using the default character encoding.

  Parameters:
    `out` - An output stream
  See Also:
    `OutputStreamWriter.OutputStreamWriter(java.io.OutputStream)`

### PrintWriter

    public PrintWriter(OutputStream out,
                       boolean autoFlush)

  Create a new PrintWriter from an existing OutputStream. This convenience constructor creates the necessary intermediate OutputStreamWriter, which will convert characters into bytes using the default character encoding.

  Parameters:
    `out` - An output stream
    `autoFlush` - A boolean; if true, the `println`, `printf`, or `format` methods will flush the output buffer
  See Also:
    `OutputStreamWriter.OutputStreamWriter(java.io.OutputStream)`

Method Detail

### flush

    public void flush()

  Flush the stream.

  Specified by:
    `flush` in class `Writer`
  See Also:
    `checkError()`

### close

    public void close()

  Close the stream.

  Specified by:
    `close` in class `Writer`
  See Also:
    `checkError()`

### checkError

    public boolean checkError()

  Flush the stream if it's not closed and check its error state. Errors are cumulative; once the stream encounters an error, this routine will return true on all successive calls.

  Returns:
    True if the print stream has encountered an error, either on the underlying output stream or during a format conversion.

### setError

    protected void setError()

  Indicate that an error has occurred.

### write

    public void write(int c)

  Write a single character.

  Overrides:
    `write` in class `Writer`
  Parameters:
    `c` - int specifying a character to be written.

### write

    public void write(char[] buf,
                      int off,
                      int len)

  Write A Portion of an array of characters.

  Specified by:
    `write` in class `Writer`
  Parameters:
    `buf` - Array of characters
    `off` - Offset from which to start writing characters
    `len` - Number of characters to write

### write

    public void write(char[] buf)

  Write an array of characters. This method cannot be inherited from the Writer class because it must suppress I/O exceptions.

  Overrides:
    `write` in class `Writer`
  Parameters:
    `buf` - Array of characters to be written

### write

    public void write(String s,
                      int off,
                      int len)

  Write a portion of a string.

  Overrides:
    `write` in class `Writer`
  Parameters:
    `s` - A String
    `off` - Offset from which to start writing characters
    `len` - Number of characters to write

### write

    public void write(String s)

  Write a string. This method cannot be inherited from the Writer class because it must suppress I/O exceptions.

  Overrides:
    `write` in class `Writer`
  Parameters:
    `s` - String to be written

### print

    public void print(boolean b)

  Print a boolean value. The string produced by ``String.valueOf(boolean)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `b` - The `boolean` to be printed

### print

    public void print(char c)

  Print a character. The character is translated into one or more bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `c` - The `char` to be printed

### print

    public void print(int i)

  Print an integer. The string produced by ``String.valueOf(int)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `i` - The `int` to be printed
  See Also:
    `Integer.toString(int)`

### print

    public void print(long l)

  Print a long integer. The string produced by ``String.valueOf(long)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `l` - The `long` to be printed
  See Also:
    `Long.toString(long)`

### print

    public void print(char[] s)

  Print an array of characters. The characters are converted into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `s` - The array of chars to be printed
  Throws:
    `NullPointerException` - If `s` is `null`

### print

    public void print(String s)

  Print a string. If the argument is `null` then the string `"null"` is printed. Otherwise, the string's characters are converted into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `s` - The `String` to be printed

### print

    public void print(Object obj)

  Print an object. The string produced by the ``String.valueOf(Object)`` method is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `obj` - The `Object` to be printed
  See Also:
    `Object.toString()`

### println

    public void println()

  Terminate the current line by writing the line separator string. The line separator string is defined by the system property `line.separator`, and is not necessarily a single newline character (`'\n'`).

### println

    public void println(boolean x)

  Print a boolean value and then terminate the line. This method behaves as though it invokes ``print(boolean)`` and then ``println()``.

  Parameters:
    `x` - the `boolean` value to be printed

### println

    public void println(char x)

  Print a character and then terminate the line. This method behaves as though it invokes ``print(char)`` and then ``println()``.

  Parameters:
    `x` - the `char` value to be printed

### println

    public void println(int x)

  Print an integer and then terminate the line. This method behaves as though it invokes ``print(int)`` and then ``println()``.

  Parameters:
    `x` - the `int` value to be printed

### println

    public void println(long x)

  Print a long integer and then terminate the line. This method behaves as though it invokes ``print(long)`` and then ``println()``.

  Parameters:
    `x` - the `long` value to be printed

### println

    public void println(char[] x)

  Print an array of characters and then terminate the line. This method behaves as though it invokes ``print(char[])`` and then ``println()``.

  Parameters:
    `x` - the array of `char` values to be printed

### println

    public void println(String x)

  Print a String and then terminate the line. This method behaves as though it invokes ``print(String)`` and then ``println()``.

  Parameters:
    `x` - the `String` value to be printed

### println

    public void println(Object x)

  Print an Object and then terminate the line. This method behaves as though it invokes ``print(Object)`` and then ``println()``.

  Parameters:
    `x` - the `Object` value to be printed

### append

    public PrintWriter append(char c)

  Appends the specified character to this writer.

  An invocation of this method of the form `out.append(c)` behaves in exactly the same way as the invocation

       out.write(c)

  Parameters:
    `c` - The 16-bit character to append
  Returns:
    This writer
  Since:
    1.5

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.